export default {
  getMyOrder() {
    return uni.$u.http
      .get("/app/getMyOrder", {
        params: {},
        custom: { noLoading: true },
      })
      .then((res) => res)
      .catch((err) => {
        // uni.showToast({ title: '哎哟！刚刚走神了，请退出后重进', icon: 'none' })
        console.log("哎哟！刚刚走神了，请退出后重进");
      });
  },
  orderRefund(data) {
    return uni.$u.http
      .post("/system/refund", data)
      .then((res) => res)
      .catch((err) => {
        // uni.showToast({ title: '哎哟！刚刚走神了，请退出后重进', icon: 'none' })
        console.log("哎哟！刚刚走神了，请退出后重进");
      });
  },
  getShop(params) {
    return uni.$u.http
      .get("/weixin/getArea", {
        params,
      })
      .then((res) => res)
      .catch((err) => {
        // uni.showToast({ title: '哎哟！刚刚走神了，请退出后重进', icon: 'none' })
        console.log("哎哟！刚刚走神了，请退出后重进");
      });
  },
  // 校验sku是否可用
  chekSku(params) {
    return uni.$u.http
      .get("/application/checkSku", {
        params,
      })
      .then((res) => res)
      .catch((err) => {
        // uni.showToast({ title: '哎哟！刚刚走神了，请退出后重进', icon: 'none' })
        console.log("哎哟！刚刚走神了，请退出后重进");
      });
  },
  cancelOrder(params) {
    return uni.$u.http
      .get("order/cancel", {
        params,
      })
      .then((res) => res)
      .catch((err) => {
        // uni.showToast({ title: '哎哟！刚刚走神了，请退出后重进', icon: 'none' })
        console.log("哎哟！刚刚走神了，请退出后重进");
      });
  },
  // 立即支付
  payOrder(params) {
    console.log(params, "params");
    return uni.$u.http
      .get("order/payOrder", {
        params,
      })
      .then((res) => res)
      .catch((err) => {
        // uni.showToast({ title: '哎哟！刚刚走神了，请退出后重进', icon: 'none' })
        console.log("哎哟！刚刚走神了，请退出后重进");
      });
  },
  getHomeOrder(params) {
    return uni.$u.http
      .get(`/app/getHomeOrder?shopId=${params.shopId}`, {
        params: {},
        custom: { noLoading: true },
      })
      .then((res) => res)
      .catch((err) => {
        // uni.showToast({ title: '哎哟！刚刚走神了，请退出后重进', icon: 'none' })
        console.log("哎哟！刚刚走神了，请退出后重进");
      });
  },
  getWaitTine(data) {
    return uni.$u.http
      .post("app/getWaitTine", data)
      .then((res) => res)
      .catch((err) => {
        // uni.showToast({ title: '哎哟！刚刚走神了，请退出后重进', icon: 'none' })
        console.log("哎哟！刚刚走神了，请退出后重进");
      });
  },
  moreOrder(params) {
    return uni.$u.http
      .get("/app/getNextOrder", {
        params,
      })
      .then((res) => res)
      .catch((err) => {
        // uni.showToast({ title: '哎哟！刚刚走神了，请退出后重进', icon: 'none' })
        console.log("哎哟！刚刚走神了，请退出后重进");
      });
  },
  checkSku(params) {
    const shopInfo = JSON.parse(uni.getStorageSync("shopInfo"));
    return uni.$u.http
      .get(`/application/checkSku?shopId=${shopInfo.id}&skuId=${params.skuId}`)
      .then((res) => res)
      .catch((err) => {
        // uni.showToast({ title: '哎哟！刚刚走神了，请退出后重进', icon: 'none' })
        console.log("哎哟！刚刚走神了，请退出后重进");
      });
  },
  getOrderDetail(params) {
    return uni.$u.http
      .get(`/order/${params.orderId}`,{
        params: {},
        custom: { noLoading: params.nodLoading },
      })
      .then((res) => res)
      .catch((err) => {
        // uni.showToast({ title: '哎哟！刚刚走神了，请退出后重进', icon: 'none' })
        console.log("哎哟！刚刚走神了，请退出后重进");
      });
  },
  getOrderWaiteTime(params) {
    return uni.$u.http
      .get(`/app/getWaitTineByOrderId?orderId=${params.orderId}`,{
        params: {},
        custom: { noLoading: params.nodLoading },
      })
      .then((res) => res)
      .catch((err) => {
        // uni.showToast({ title: '哎哟！刚刚走神了，请退出后重进', icon: 'none' })
        console.log("哎哟！刚刚走神了，请退出后重进");
      });
  },
  // 获取退款详情
  getRefundInfo(params) {
    return uni.$u.http
      .get(`/system/refund/list/${params}`)
      .then((res) => res)
      .catch((err) => {
        // uni.showToast({ title: '哎哟！刚刚走神了，请退出后重进', icon: 'none' })
        console.log("哎哟！刚刚走神了，请退出后重进");
      });
  },
};
